# VectorNav C++ Library: vn::sensors::SynchronizationControlRegister Struct Reference

vn::sensors::SynchronizationControlRegister Struct Reference
Register Structures

Structure representing the Synchronization Control register. More...

`#include <registers.h>`

## Public Member Functions

| SynchronizationControlRegister (protocol::uart::SyncInMode syncInModeIn, protocol::uart::SyncInEdge syncInEdgeIn, uint16_t syncInSkipFactorIn, protocol::uart::SyncOutMode syncOutModeIn, protocol::uart::SyncOutPolarity syncOutPolarityIn, uint16_t syncOutSkipFactorIn, uint32_t syncOutPulseWidthIn)
| Creates an initializes a new SynchronizationControlRegister structure. More...

## Public Attributes

protocol::uart::SyncInMode | syncInMode
| The syncInMode field.
protocol::uart::SyncInEdge | syncInEdge
| The syncInEdge field.
uint16_t | syncInSkipFactor
| The syncInSkipFactor field.
protocol::uart::SyncOutMode | syncOutMode
| The syncOutMode field.
protocol::uart::SyncOutPolarity | syncOutPolarity
| The syncOutPolarity field.
uint16_t | syncOutSkipFactor
| The syncOutSkipFactor field.
uint32_t | syncOutPulseWidth
| The syncOutPulseWidth field.

## Detailed Description

Structure representing the Synchronization Control register.

## Constructor & Destructor Documentation

vn::sensors::SynchronizationControlRegister::SynchronizationControlRegister | ( | protocol::uart::SyncInMode | syncInModeIn,
|  | protocol::uart::SyncInEdge | syncInEdgeIn,
|  | uint16_t | syncInSkipFactorIn,
|  | protocol::uart::SyncOutMode | syncOutModeIn,
|  | protocol::uart::SyncOutPolarity | syncOutPolarityIn,
|  | uint16_t | syncOutSkipFactorIn,
|  | uint32_t | syncOutPulseWidthIn
| ) |  |

inline

Creates an initializes a new SynchronizationControlRegister structure.

Parameters

  [in] | syncInModeIn | Value to initialize the syncInMode field with.
  [in] | syncInEdgeIn | Value to initialize the syncInEdge field with.
  [in] | syncInSkipFactorIn | Value to initialize the syncInSkipFactor field with.
  [in] | syncOutModeIn | Value to initialize the syncOutMode field with.
  [in] | syncOutPolarityIn | Value to initialize the syncOutPolarity field with.
  [in] | syncOutSkipFactorIn | Value to initialize the syncOutSkipFactor field with.
  [in] | syncOutPulseWidthIn | Value to initialize the syncOutPulseWidth field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h